Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.opensymphony.xwork2.interceptor
Enum I18nInterceptor.Storage

    java.lang.Object
      java.lang.Enum<I18nInterceptor.Storage>
          com.opensymphony.xwork2.interceptor.I18nInterceptor.Storage

All Implemented Interfaces:
  Serializable, Comparable<I18nInterceptor.Storage>

Enclosing class:
  I18nInterceptor

    protected static enum I18nInterceptor.Storage

extends Enum<I18nInterceptor.Storage>

Enum Constant Summary
`NONE`
`SESSION`

Method Summary
`static I18nInterceptor.Storage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static I18nInterceptor.Storage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SESSION

    public static final I18nInterceptor.Storage SESSION

### NONE

    public static final I18nInterceptor.Storage NONE

Method Detail

### values

    public static I18nInterceptor.Storage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (I18nInterceptor.Storage c : I18nInterceptor.Storage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static I18nInterceptor.Storage valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.